package com.goafanti.order.controller;


import com.goafanti.common.bo.Result;
import com.goafanti.common.controller.CertifyApiController;
import com.goafanti.order.bo.InputTechUserListBo;
import com.goafanti.order.service.OrderPlusService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(value = "/api/admin/orderPlus")
public class OrderPlusApiController extends CertifyApiController {

	@Resource
	private OrderPlusService orderPlusService;

	/**
	 * 技术员客户列表
	 * @param in
	 * @return
	 */
	@GetMapping("/techUserList")
	public Result techUserList(InputTechUserListBo in){
		Result res =new Result();
		res.data(orderPlusService.techUserList(in));
		return  res;

	}


	/**
	 * 技术员客户详情
	 * @return
	 */
	@GetMapping("/techUserDetails")
	public Result techUserDetails(String  uid){
		Result res =new Result();
		res.data(orderPlusService.techUserDetails(uid));
		return  res;

	}

}
